Subject: bug#77774: stipples as fill-column indicator

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Apr 2025 13:32:20 +0300

> From: Johann Höchtl <[email-masked]>
> Date: Sun, 13 Apr 2025 09:09:34 +0200
> 
> I follow
> https://emacs.stackexchange.com/questions/81278/how-to-have-a-solid-fill-column-indicator-when-line-spacing-is-greater-than-zero
> to set stipples as fill-column-indicator
> 
> The result is
> 
> grafik.png
> 
> I get this result on Windows using Emacs HEAD as well as on Linux using Emacs 30.1 pgtk-build (Arch repo)
> 
> While the screenshot has display-line-numbers-mode enabled, it is not necessary to expose the IMHO bug.
> 
> To reproduce:
> 
> emacs -q --load fc.el fc.el
> 
> fc.el attached.
> 
> To my understanding according to
> https://www.gnu.org/software/emacs/manual/html_node/elisp/Face-Attributes.html:
> 
> > Alternatively, the value can specify the bitmap directly, with a list of the form (width height data). Here,
> width and height specify the size in pixels, and data is a string containing the raw bits of the bitmap, row by
> row. 
> 
> so :stipple '(7 1 " ") has a bit mask of  "0010 0000" and to my understanding should result in a single black
> horizontal line. Alas it produces two, which I consider a bug.
> 
> This, however, is not consistent. On Linux, when I add more lines to the file so that display-line-numbers-mode
> would result in a shift of the 'viewport', sometimes only one line is displayed, as expected. On Windows the
> behaviour remains consistent is so far as always two lines are display 

FWIW, I cannot reproduce the problem on MS-Windows: I get a single
vertical line, as you expect.  It doesn't matter whether I turn
display-line-numbers-mode on or off, the result is consistent with
your expectations.